Bug 1242039 - "Authentication required screen" when the rhev-m is idle for a day
Summary: "Authentication required screen" when the rhev-m is idle for a day
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Alexander Wels
QA Contact: Jiri Belka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-10 18:23 UTC by nijin ashok
Modified: 2019-10-10 09:56 UTC (History)
12 users (show)

Fixed In Version: 3.6.0-10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-17 12:20:34 UTC
oVirt Team: UX
mgoldboi: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC
oVirt gerrit 43945 None None None Never

Description nijin ashok 2015-07-10 18:23:47 UTC
Description of problem:

When the rhev-m is idle for a day, an authentication requires screen is shown with dialogue "The site says: RESTAPI"

Version-Release number of selected component (if applicable):

RHEV-M 3.5.3

How reproducible:

Always in customer environment

Steps to Reproduce:
1. Keep the rhev-m idle for a day in the "hosts" tab
2. In the next day we can see the popup with message "The site says: RESTAPI"
3.

Actual results:

It shows authentication pop up with dialogue "The site says: RESTAPI"

Expected results:

rhev-m login screen should be shown if the session times out.

Additional info:

Comment 3 Oved Ourfali 2015-07-13 13:44:45 UTC
Vojtech - is that related to the UI plugin mechanism?

Comment 4 Vojtech Szocs 2015-07-13 15:01:30 UTC
(In reply to Oved Ourfali from comment #3)
> Vojtech - is that related to the UI plugin mechanism?

Yes, it seems so.

The following symptoms:

"
Expected results:
rhev-m login screen should be shown if the session times out.

Actual results:
It shows authentication pop up with dialogue "The site says: RESTAPI"
"

might indicate the issue we had when REST session heartbeat (UI plugin infra) prevented WebAdmin from logging out due to user inactivity.

The likely scenario is that REST HttpSession is kept alive by UI plugin infra's heartbeat while Engine (logical) user session expires, at which point any REST request causes the browser auth popup.

@nijin can you please confirm above? When you leave WebAdmin idle for a long time, does it still show the main UI (and not the login screen)? Anything interesting in Engine logs?

Comment 5 Einav Cohen 2015-07-14 13:14:05 UTC
@nijin - a question for you in comment #4. 

this is strange, as we fixed everything around this issue in [1]. 
first of all - need to make sure that UI will automatically log out when standing on the Hosts main tab (the GUI shouldn't have remained logged after a day of being idle). 

[1] relevant patches (were available already in rhev 3.5.2):
https://gerrit.ovirt.org/#/c/39447/
https://gerrit.ovirt.org/#/c/39421/
https://gerrit.ovirt.org/#/c/38453/

https://gerrit.ovirt.org/#/c/39446/
https://gerrit.ovirt.org/#/c/39420/
https://gerrit.ovirt.org/#/c/37837/

Comment 13 Jiri Belka 2016-02-12 15:42:59 UTC
ok, rhevm-webadmin-portal-3.6.3.1-0.1.el6.noarch

can't reproduce with above build

Comment 14 Pavel Stehlik 2016-02-17 12:20:34 UTC
Closing older BZs, if still happened, please reopen.


Note You need to log in before you can comment on or make changes to this bug.